package com.jy.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.framework.model.event.OperateEvent;
import com.jy.log.model.dto.LogOperateSelectDto;
import com.jy.log.model.vo.LogOperateVo;

import java.util.List;

/**
 * <p>
 * 操作日志 服务类
 * </p>
 *
 * @author
 * @since 2024-09-03
 */
public interface LogOperateService {

    /**
     * 操作日志分页
     */
    Page<LogOperateVo> getPage(LogOperateSelectDto dto);

    /**
     * 操作日志明细
     */
    LogOperateVo getDetail(Long id);

    /**
     * 操作日志删除
     */
    void delete(List<Long> idList);

    /**
     * 记录用户操作信息
     */
    void save(OperateEvent event);

}
